# chassis-agent

chassis 微服务基座依赖的服务


## 已整合

- Metrics
  - Statsd
  - Statsd-exporter
- Metrics Server
  - Prometheus
  - Grafana
- Tracing
  - Skywalking
- Logging
  - Elasticsearch
  - Logstash
  - Kibana
  - Fluentd
- Error Reporting
  - Sentry
- Gateway
  - APISIX
- MiddleWares
  - RabbitMQ
  - Mysql
  - MongoDB
  - ……


## 启动 Metrics 相关服务

根据实际的nameko微服务去配置 statsd_mapping.yml

grafana 的配置在：./service_configs/admin_service/grafana/xxxx.json （根据具体nameko服务创建json文件）

启动服务的命令：

`docker-compose -f docker-compose-metrics.yml up -d --build`


## 启动 Metrics Server 相关服务

启动服务的命令：

`docker-compose -f docker-compose-metrics-server.yml up -d --build`


## 启动 Skywalking 相关服务

启动服务的命令：

`docker-compose -f docker-compose-skywalking.yml up -d --build`


## 启动 Logging 相关服务

启动服务的命令：

`docker-compose -f docker-compose-logging.yml up -d --build`


## 启动 Error Reporting 相关服务

requirements
- Docker 19.03.6+
- Compose 1.28.0+
- 4 CPU Cores
- 8 GB RAM
- 20 GB Free Disk Space

启动服务的命令：

1. 拉取仓库 https://github.com/getsentry/self-hosted/tree/23.6.2
   - 如果有设置需求，比如更改占用端口，编辑 .env 文件 
2. 启动sentry，在仓库目录运行 ./install.sh  


## 启动 APISIX

启动服务的命令：

`docker-compose -f docker-compose-apisix.yml up -d --build`


## 启动 RabbitMQ

启动服务的命令：

`docker-compose -f docker-compose-rabbitmq.yml up -d --build`


## 启动 Mysql

启动服务的命令：

`docker-compose -f docker-compose-mysql.yml up -d --build`


## 启动 MongoDB

启动服务的命令：

`docker-compose -f docker-compose-mongodb.yml up -d --build`


## 启动 Redis

启动服务的命令：

`docker-compose -f docker-compose-redis.yml up -d --build`


## TODO

- Prometheus Exporter
  - rabbitmq_exporter
  - node_exporter
  - nginx_exporter
- 事务服务
  - DTM